# Class TCustomTextfieldDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTextfieldDelegate

## Declaration

`type TCustomTextfieldDelegate = class(TCefTextfieldDelegateOwn)`

## Description

This class handles all the ICefTextfieldDelegate and ICefViewDelegate methods which call the ICefTextfieldDelegateEvents methods. ICefTextfieldDelegateEvents will be implemented by the control receiving the ICefTextfieldDelegate events.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefViewDelegateOwn
- TCefTextfieldDelegateOwn
- TCustomTextfieldDelegate

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;`
| `procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;`
| `procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;`
| `procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;`
| `procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;`
| `procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;`
| `procedure OnWindowChanged(const view: ICefView; added: boolean); override;`
| `procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;`
| `procedure OnFocus(const view: ICefView); override;`
| `procedure OnBlur(const view: ICefView); override;`
| `procedure OnThemeChanged(const view: ICefView); override;`
| `procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean); override;`
| `procedure OnAfterUserAction(const textfield: ICefTextfield); override;`
| `constructor Create(const events: ICefTextfieldDelegateEvents); reintroduce;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;`
ICefViewDelegate

| `procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;`
This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMinimumSize. Return the minimum size for |view|.

| `procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;`
This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMaximumSize. Return the maximum size for |view|.

| `procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;`
This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetHeightForWidth. Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

| `procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;`

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnParentViewChanged.

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

| `procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;`

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnChildViewChanged.

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

| `procedure OnWindowChanged(const view: ICefView; added: boolean); override;`
This item has no description. Showing description inherited from TCefViewDelegateOwn.OnWindowChanged. Called when |view| is added or removed from the ICefWindow.

| `procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;`
This item has no description. Showing description inherited from TCefViewDelegateOwn.OnLayoutChanged. Called when the layout of |view| has changed.

| `procedure OnFocus(const view: ICefView); override;`
This item has no description. Showing description inherited from TCefViewDelegateOwn.OnFocus. Called when |view| gains focus.

| `procedure OnBlur(const view: ICefView); override;`
This item has no description. Showing description inherited from TCefViewDelegateOwn.OnBlur. Called when |view| loses focus.

| `procedure OnThemeChanged(const view: ICefView); override;`

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnThemeChanged.

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

    1. When |view|, or a parent of |view|, is added to a Window.
    2. When the native/OS or Chrome theme changes for the Window that contains
       |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
    3. When the client explicitly calls ICefWindow.ThemeChanged on the
       Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(

| `procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean); override;`
ICefTextfieldDelegate

| `procedure OnAfterUserAction(const textfield: ICefTextfield); override;`
This item has no description. Showing description inherited from TCefTextfieldDelegateOwn.OnAfterUserAction. Called after performing a user action that may change |textfield|.

| `constructor Create(const events: ICefTextfieldDelegateEvents); reintroduce;`
Creates an instance of this class liked to an interface that's implemented by a control receiving the events.

Generated by PasDoc 0.17.0.snapshot.